/* Page */
.view-catalogue-facets .view-header{
    background-color: var(--color-gray-400);
    color: white;
}

.view-catalogue-facets .view-header > div{
    max-width: 76rem;
    margin: 0 auto;
    padding: 1.5rem;
}

.view-catalogue-facets .view-header > div h1{
    font-size: 1.75rem;
    text-transform: uppercase;
    margin: 0.5 0 1rem;
    font-weight: 300;
}
@media(width > 48rem){
    .view-catalogue-facets .view-header > div h1{
        margin: 0;
    }   
}

.view-catalogue-facets .view-content{
    max-width: 76rem;
    margin: 2rem auto 2rem;
    padding: 1.5rem;
    display: grid;
    grid-template-columns: 1fr;
    gap: 1.5rem;
    row-gap: 2.25rem;
    align-items: center;
    justify-content: center;
}
@media(width > 36rem){
    .view-catalogue-facets .view-content{
        grid-template-columns: repeat(2, 1fr);
    }

}
@media(width > 48rem){
    .view-catalogue-facets .view-content{
        grid-template-columns: repeat(3, 1fr);
    }
}
@media(width > 64rem){
    .view-catalogue-facets .view-content{
        grid-template-columns: repeat(4, 1fr);
    }
}
@media(width > 75rem){
    .view-catalogue-facets .view-content{
        grid-template-columns: repeat(5, 1fr);
    }
}

.view-catalogue-facets .view-content > .views-row{
    height: 100%;
}

/* Filters */
.view-catalogue-facets .view-filters{
    max-width: 76rem;
    margin: 0 auto;
    padding: 1.5rem;
}

.view-catalogue-facets .view-filters > form{
    padding: 1.5rem;
    background-color: var(--color-gray-050);
    border-radius: 10px;
}

.view-catalogue-facets .view-filters > form .form--inline{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    align-items: baseline;
    gap: 1.125rem;
    justify-content: center;
}

@media (min-width: 75rem) {
    .view-catalogue-facets .view-filters > form .form--inline::before{
        content: 'Filtrar por';
        font-size: 0.85rem;
        display: block;
        margin-right: 1rem;
    }
}

.view-catalogue-facets .view-filters > form .form--inline::after{
    display: none;
}

.view-catalogue-facets .view-filters > form .form--inline .form-item{
    margin-top: 0;
    margin-bottom: 0;
    margin-right: 0;
    float: none;
}

.view-catalogue-facets .view-filters > form .form--inline .form-actions > input.button{
    border: 1px solid var(--color-primary);
    border-radius: var(--border-radius);
    padding: 0.9375rem 1.125rem;
    background-color: var(--color-primary);
    color: white;
    font-size: 0.9375rem;
    width: fit-content;
}

.view-catalogue-facets .view-filters > form .form--inline .form-actions > input.button:hover{
    opacity: 0.8;
}

.view-catalogue-facets .view-filters > form .chosen-container-single{
    width: auto !important;
}

.view-catalogue-facets .view-filters > form .chosen-container-single .chosen-single{
    background: initial;
    box-shadow: none;
    background-color: white;
    padding: 0.5rem 0 0.5rem 0.875rem;
    border: 1px solid #D8D9D9;
    height: fit-content;
}

.view-catalogue-facets .view-filters > form .chosen-container-single .chosen-single span{
    font-size: 0.75rem;
}

.view-catalogue-facets .view-filters > form .chosen-container-single .chosen-single div{
    right: 2.5px;
}

.view-catalogue-facets .view-filters > form .chosen-container-single .chosen-single div b{
    background-image: url('data:image/svg+xml,<svg width="11" height="6" viewBox="0 0 11 6" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M0.5 0.5L5.5 5.5L8 3L10.5 0.5" stroke="%238A8C8E" stroke-linecap="round" stroke-linejoin="round"/></svg>') !important;
    background-size: 11px 6px !important;
    background-position: 0 50%;
}

/* Dropdown filters */

/* Botó ocult per defecte (pantalles grans) */
.view-catalogue-facets .view-filters > form .filter-toggle-btn {
    display: none;
  }
  
  @media (min-width: 75rem) {
    .view-catalogue-facets .view-filters > form .form--inline {
      display: flex;
      flex-wrap: wrap;
      gap: 8px;
    }
  }
  
  @media (max-width: 74.99rem) {
    .view-catalogue-facets .view-filters > form .filter-toggle-btn {
      display: flex;
      width: 100%;
      padding: 0 16px;
      border: 0;
      background-color: initial;
      box-sizing: border-box;
      font-size: 0.75rem;
      font-weight: 500;
      cursor: pointer;
      align-items: center;
      justify-content: space-between;
      text-transform: uppercase;
    }
  
    .view-catalogue-facets .view-filters > form .filter-toggle-btn .chevron {
      transition: transform 0.2s;
    }
  
    .view-catalogue-facets .view-filters > form .filter-toggle-btn.open .chevron {
      transform: rotate(180deg);
    }
  
    .view-catalogue-facets .view-filters > form .form--inline {
      display: none;
      flex-direction: column;
      gap: 8px;
      padding: 0;
      box-sizing: border-box;
      background: #f9f9f9;
      padding-top: 1rem;
    }
  
    .view-catalogue-facets .view-filters > form .form--inline.open {
      display: flex;
    }
  
    .view-catalogue-facets .view-filters > form .form--inline .js-form-item {
      width: 100%;
      box-sizing: border-box;
    }
  
    .view-catalogue-facets .view-filters > form .form--inline .chosen-container {
      width: 100% !important;
    }
  
    .view-catalogue-facets .view-filters > form .form--inline select {
      width: 100% !important;
    }
  
    .view-catalogue-facets .view-filters > form .form-actions {
        display: none;
    }
  }

  .view-catalogue-facets .pager__item--previous .visually-hidden,
  .view-catalogue-facets .pager__item--previous span[aria-hidden="true"] {
    display: none;
  }  

  .view-catalogue-facets .pager__item--next .visually-hidden,
  .view-catalogue-facets .pager__item--next span[aria-hidden="true"] {
    display: none;
  }  
  .view-catalogue-facets .form-item:not(:has(select > option:first-child:checked)) .chosen-single {
    font-weight: bold;
  }
